Debian Bug report logs - #645081
ITA: clp -- coin-or linear programming solver

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Soeren Sonnenburg <sonne@debian.org>

Date: Wed, 12 Oct 2011 11:56:51 UTC

Owned by: Miles Lubin <miles.lubin@gmail.com>

Severity: normal

Fixed in version clp/1.15.3-1

Done: Miles Lubin <miles.lubin@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645081; Package wnpp. (Wed, 12 Oct 2011 11:56:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <sonne@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 12 Oct 2011 11:56:58 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <sonne@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: clp -- Coin-or linear programming solver
Date: Wed, 12 Oct 2011 13:00:35 +0200
Package: wnpp
Severity: normal

Due to scarce resources and lack of interest in maintaining packages I
cannot use due to non-GPL compatible licensing I request an adopter for
the clp package.

The package description is:
 Clp (Coin-or linear programming) is an open-source linear programming solver
 written in C++. It is primarily meant to be used as a callable library, but a
 basic, stand-alone executable version is also available. It is designed to
 find solutions of constrained linear mathematical optimization problems.
 .
 This package contains the header files for developers.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#645081; Package wnpp. (Wed, 31 Oct 2012 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ellis Kenyo <debeddev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Oct 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 645081@bugs.debian.org (full text, mbox):

From: Ellis Kenyo <debeddev@gmail.com>
To: 645081@bugs.debian.org
Subject: RE: Maintaner for clp
Date: Wed, 31 Oct 2012 21:48:14 +0000
Soeren,

		I would consider myself somewhat well versed in both linear 
programming and C++, so I would like to be considered to maintain clp.
I've been thinking about doing a linear programming ... something for a 
while now, so this could save some time. I would cite you as original dev 
where appropriate if required. I hope to hear from you soon.

Happy trails,

Ellis K



Changed Bug title to 'O: clp -- coin-or linear programming solver' from 'RFA: clp -- Coin-or linear programming solver' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 06:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: clp -- coin-or linear programming solver' from 'O: clp -- coin-or linear programming solver' Request was from Miles Lubin <miles.lubin@gmail.com> to control@bugs.debian.org. (Mon, 05 Aug 2013 16:03:04 GMT) Full text and rfc822 format available.

Owner recorded as Miles Lubin <miles.lubin@gmail.com>. Request was from Miles Lubin <miles.lubin@gmail.com> to control@bugs.debian.org. (Mon, 05 Aug 2013 16:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 11 Oct 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Miles Lubin <miles.lubin@gmail.com>:
You have taken responsibility. (Thu, 17 Oct 2013 04:03:13 GMT) Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <sonne@debian.org>:
Bug acknowledged by developer. (Thu, 17 Oct 2013 04:03:13 GMT) Full text and rfc822 format available.

Message #23 received at 645081-close@bugs.debian.org (full text, mbox):

From: Miles Lubin <miles.lubin@gmail.com>
To: 645081-close@bugs.debian.org
Subject: Bug#645081: fixed in clp 1.15.3-1
Date: Thu, 17 Oct 2013 04:00:11 +0000
Source: clp
Source-Version: 1.15.3-1

We believe that the bug you reported is fixed in the latest version of
clp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miles Lubin <miles.lubin@gmail.com> (supplier of updated clp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 04 Oct 2013 21:24:10 -0400
Source: clp
Binary: coinor-libclp1 coinor-libclp-dev coinor-libclp-doc coinor-libclp1-dbg
Architecture: source amd64 all
Version: 1.15.3-1
Distribution: experimental
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Miles Lubin <miles.lubin@gmail.com>
Description: 
 coinor-libclp-dev - Coin-or linear programming solver (developer files)
 coinor-libclp-doc - Coin-or linear programming solver (documentation)
 coinor-libclp1 - Coin-or linear programming solver
 coinor-libclp1-dbg - Coin-or linear programming solver (debug symbols)
Closes: 645081 669371
Changes: 
 clp (1.15.3-1) experimental; urgency=low
 .
   * New upstream release (Closes: #669371)
     - License changed to EPL.
     - SONAME version is now 1.
     - OsiClp interface now provided by this package.
   * New maintainer (Closes: #645081)
     - Previous maintainer refused to relicense work under EPL.
   * Bump to compat 9 (libraries now installed to multiarch dirs.).
   * Remove outdated patches.
   * Add patch to fix building with pkg-config.
   * Add patch to fix shared library dependencies.
     - libOsiClp still has unrecorded dependency on libClp
   * Remove .la files.
   * Bump standards version.
     - Updated copyright file to machine-readable format.
Checksums-Sha1: 
 c03c4878fba92c2490e27347e3b436a026adabce 2229 clp_1.15.3-1.dsc
 799a5e233885cdd749527ba647ada4b95d04d3be 1857064 clp_1.15.3.orig.tar.gz
 4baaac8af40df61e53263fbbf5decb40aeb3024f 9992 clp_1.15.3-1.debian.tar.gz
 2598e800fa98525c128445c3042149f4f35cc036 831308 coinor-libclp1_1.15.3-1_amd64.deb
 87b02d68e848e358274fdaec1cb93ae54c970f2a 871474 coinor-libclp-dev_1.15.3-1_amd64.deb
 ccfa64bc0d7ac246ffbed8f8770cf43c3de9af35 11437562 coinor-libclp-doc_1.15.3-1_all.deb
 64da3866a2e9bacb1a60971ca88dfed0dcfc6b09 5255050 coinor-libclp1-dbg_1.15.3-1_amd64.deb
Checksums-Sha256: 
 43a1085d24fc522e8f6e8206872b3a46294827176a4c40c9146775110abd1bad 2229 clp_1.15.3-1.dsc
 8b71e8d32e769942b1036d70d2f9f7d482bc6ba6d743a2544fdd590d3b1f543e 1857064 clp_1.15.3.orig.tar.gz
 27f1c58ecffc558640223297ba4c49642f3054b5e903dc8d2d3e86eedd358d41 9992 clp_1.15.3-1.debian.tar.gz
 567db0226da937f62442f1fe3a07b7c161884e912199f69766bc20c866f8504c 831308 coinor-libclp1_1.15.3-1_amd64.deb
 014dd0dbf85d37c3a5ab74089ea42e5baf433f549a6c8b89ec64bcd140641baa 871474 coinor-libclp-dev_1.15.3-1_amd64.deb
 2b217d64ef90dd25482ded1f11e6fd6620656636b6405aacff27ba205e647625 11437562 coinor-libclp-doc_1.15.3-1_all.deb
 c4a22427488fdf4a67d04bc8daca3e44f8d44d417f4673b4280b77022ed6d24e 5255050 coinor-libclp1-dbg_1.15.3-1_amd64.deb
Files: 
 9ff7f5aefb224eaf7b2c66ee4a8fa97e 2229 science extra clp_1.15.3-1.dsc
 6d0125be3508e793d084e9fff99d0262 1857064 science extra clp_1.15.3.orig.tar.gz
 52050ad14e672921e367eeacbb128438 9992 science extra clp_1.15.3-1.debian.tar.gz
 d53c2029e828b012991b77f57494fb44 831308 science extra coinor-libclp1_1.15.3-1_amd64.deb
 5b076cb5bb073724ab89cec827807350 871474 libdevel extra coinor-libclp-dev_1.15.3-1_amd64.deb
 ba5b214510a3ed7f57bf5094ba092de8 11437562 doc extra coinor-libclp-doc_1.15.3-1_all.deb
 f6af95b78f24709058cb3e3bb5494242 5255050 debug extra coinor-libclp1-dbg_1.15.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSVqg5AAoJECzs6TUOzr5KxvkQAKsmD8GISg5eXJqUgwgyS9pG
h9/sNcoA39doQ5rCEjMux2gOzOwYKhqtxH+pg7lhLYj9kZlccVWM+ynvSydmc8Ah
O99vCNjKG0L4Q5gcWzy9ym6/IsldtfEAddVGTTB5VOXGqvrI0ZFDB0JQGwB+NDBy
ThFe6QrTrO2EQ+u8zavwo58Ri9M/0iUYFXncGllQ2zKg42xsk/RbTzAHjKTlC7zY
9+4kqNFjuSTbola299OZkSMvEan/1MyVVL1zPzNdagOVvePI9H5M8K6SBqffHzha
I0TRubWgw8t2oV2U3DOduKHSfg5SEwSK0lnbsQ0QraPObOYYsTVKSf9nnsHRLyEu
46PjgWLA+J0FyIs26sOuKfH+OqvXBx7b76lf2MoyxdMOp4+uXgWTzzlZASDvIM/Q
NAJch8Cy+zrlN5oQ19JoUvgG4C5wcV3dJbiXWrvHvUJZAvyKhnjYe2JZev0EKcBt
fQe1GH7hmLax5Kp+5g23S3/aiK+vgindr2YiIVUxjnrvv9f85/EZa9bYnzKCq3/7
vNiW56ATiVi43L4FrQCXGhg1GTSfx1oQk/ymw7Sb7K/09mn1DaxyT9E5vFDUJ8va
cBqei5rgWZYPsA/wU9fTsb3BzIO97FfG0/A4rOuTgpNjk6Erx0WLFWN2ONMjdTr2
aMmqOoakF5kIMxWhy4Z2
=a/ef
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Nov 2013 07:30:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:03:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.